fget(1)

NAME
fget - commandline FTP client

SYNOPSIS
fget [options] URL ...
fget [options] -l URL ...
fget [options] -e URL ...

VERSION
This man page documents version 1.2 of fget.

DESCRIPTION
fget is a commandline FTP utility. It allows simple mirroring of data from remote FTP servers.

OPTIONS
Options which turn on or off features act as toggles. Specifying them twice will return to the default behavior.

-c  Chase symbolic links. The link itself will be downloaded, as well as the file or directory it points to. This option has no effect when -D is specified. (This option is active by default, except in list mode.)

-C dir
    Save files to local directory dir instead of the current directory.

-d  Increment debug level. Higher debug levels produce more output from the FTP connection.

-D  Dereference symbolic links. Instead of downloading the a symlink from the FTP server, fget will download the file that the link points to.

-e  Estimate mode. fget will estimate the total size of the requested files, rather than downloading them.

-E extendfs_command
    If the filesystem fills up while fget is downloading files, it will run this command to gain more space on the filesystem. (This is primarily intended for systems like AIX where filesystems can be grown on the fly, but the command could also be a script which deletes old files to free up space.)

-F  Fix symbolic links. Symlinks which point to an absolute path will be converted to point to a relative path before being mirrored. This option has no effect when -D is specified.

-H  Use host directories. Normally, if you download ftp://ftp-dev.cso.uiuc.edu/pub/fget/, the files are saved in the subdirectory fget. However, if you specify the -H option, the files are saved in the subdirectory ftp-dev.cso.uiuc.edu/pub/fget.

-i cache_interval
    The cache_interval argument specifies the maximum number of seconds a directory cache entry is valid for. If a cache entry is found which is older than this value, the directory is refreshed from the server. If set to -1, there is no limit. The default is -1.

-I urlfile
    Reads list of URLs from urlfile. The URLs read from the file are treated the same as if they had been specified on the command line.

-l  List mode. fget will list files at the specified FTP location, rather than downloading them. Specifying -l will also disable recursive operation (see -R) and chasing of symbolic links (see -c).

-m max_sessions
    Normally, fget caches connections so that it will not have to reconnect if multiple URLs point to the same FTP server and login. This option sets the number of cached connections to max_sessions. The default is 5.

-M cache_maxsize
    The cache_maxsize argument specifies the maximum number of valid directory cache entries to be kept at any given time for each active FTP connection. If set to -1, there is no limit. The default is 1024.

-N  Do not replace local files unless the copy on the server has a newer date. (This is the default.)

-p  Passive FTP mode.

-P  Attempt to preserve ownership and permissions of remote files. Note that this may not be possible, since the same user or group may not exist on the local host.

-q  Quiet mode. fget displays no output unless an error occurs.

-r  Do not remove local files which do not exist on the server. (The default is to remove these files.)

-R  Recursive operation. (This option is on by default, except in list mode.)

-s  Do not replace local files unless the copy on the server is a different size than the local copy. (This is the default.)

-t timeout
    Sets the connection timeout to timeout seconds. The default is 0 (unlimited by fget, but still limited by the kernel).

-T num_retries
    Sets the number of times to retry a failed connection to num_retries. A value of 0 means unlimited retries. The default is 1.

-v  Increase verbosity. This option can be specified multiple times.

-V  Print fget's version and compile-time defaults.

BUGS
Probably quite a few. Reports are welcome.

SEE ALSO
The fget Homepage (http://www-dev.cso.uiuc.edu/fget/)

AUTHOR
Mark D. Roth <roth@uiuc.edu>